ARCTEST(1)

NAME
arctest - ARC Test Suite

DESCRIPTION

  Usage:

    arctest [OPTION...]

The arctest command is used for testing clusters as resources.

  Target endpoint selection:

-C, --computing-element=ce
    computing element hostname or a complete endpoint URL

-Y, --registry=registry
    registry service URL with optional specification of protocol

-T, --submission-endpoint-type=type
    require the specified endpoint type for job submission.

    Allowed values are: arcrest and internal.

-Q, --info-endpoint-type=type
    require information query using the specified information endpoint type.

    Special value 'NONE' will disable all resource information queries and the following brokering. Allowed values are: ldap.nordugrid, ldap.glue2, arcrest and internal.

  Brokering and filtering:

-R, --rejectdiscovery=URL
    skip the service with the given URL during service discovery

-b, --broker=broker
    select broker method (list available brokers with --listplugins flag)

  Behaviour tuning:

-o, --jobids-to-file=filename
    the IDs of the submitted jobs will be appended to this file

-n, --no-delegation
    do not perform any delegation for submitted jobs

-X, --x509-delegation
    perform X.509 delegation for submitted jobs

-K, --token-delegation
    perform token delegation for submitted jobs

--instances-max
    request at most this number of job instances submitted in single submit request

--instances-min
    request at least this number of job instances submitted in single submit request

--allowinsecureconnection
    allow TLS connection which failed verification

-j, --joblist=filename
    the file storing information about active jobs (default /build/nordugrid-arc-OqdofK/nordugrid-arc-7.1.2/debian/.debhelper/generated/_source/home/.arc/jobs.dat)

--no-authentication
    do not perform any authentication for opened connections

--x509-authentication
    perform X.509 authentication for opened connections

--token-authentication
    perform token authentication for opened connections

--systemca
    force using CA certificates configuration provided by OpenSSL

--gridca
    force using CA certificates configuration for Grid services (typically IGTF)

--anyca
    force using CA certificates configuration for Grid services (typically IGTF) and one provided by OpenSSL

  Other actions:

-J, --job=int
    submit test job given by the number

-r, --runtime=int
    test job runtime specified by the number

-D, --dryrun
    submit jobs as dry run (no submission to batch system)

-x, --dumpdescription
    do not submit - dump job description in the language accepted by the target

-E, --certificate
    prints info about installed user- and CA-certificates

-P, --listplugins
    list the available plugins

  Application Options:

-h, --help
    Show help options

-z, --conffile=filename
    configuration file (default ~/.arc/client.conf)

-t, --timeout=seconds
    timeout in seconds (default 20)

-d, --debug=debuglevel
    FATAL, ERROR, WARNING, INFO, VERBOSE or DEBUG

-v, --version
    print version information

EXTENDED DESCRIPTION
The arctest command is mainly used for basic testing of job submission to ARC CE using various pre-defined test jobs. It supports all target selection options available for arcsub and use the same brockering logic.

It can also print basic information about user's certificate. The command is complementary to arcinfo and arcproxy -I

The test jobs available in this version of arctest are:

Test job 1: This test-job calculates prime-numbers for a number of minutes given by -r (default 5) and outputs the list to stderr. The source-code for the prime-number program, the Makefile and the executable are downloaded to the cluster from HTTP and FTP servers and the program is compiled before running. In this way, the test job constitutes a fairly comprehensive test of the basic setup of a grid cluster.

Test job 2: attempts to list all environment variables at the remote site

Test job 3: copies a remote file from an HTTP server into a local file

FILES

~/.arc/client.conf
    Some options can be given default values by specifying them in the ARC client configuration file. By using the --conffile option a different configuration file can be used than the default.

~/.arc/jobs.dat
    This a local database of the user's active jobs. When a job is successfully submitted it is added to database and when it is removed from the remote CE it is removed from this list. This database is used as the list of all active jobs when the user specifies the --all option to the various NorduGrid ARC user interface commands. By using the --joblist option a different file can be used than the default.

EXAMPLES
arctest -J 1 -C <computing element>

will submit test job number 1 to the specified CE.

AUTHOR
ARC software is developed by the NorduGrid Collaboration (http://www.nordugrid.org), please consult the AUTHORS file distributed with ARC. Please report bugs and feature requests to http://bugzilla.nordugrid.org

COPYRIGHT
APACHE LICENSE Version 2.0

SEE ALSO
arccat(1), arcclean(1), arccp(1), arcget(1), arcinfo(1), arckill(1), arcls(1), arcmkdir(1), arcproxy(1), arcrenew(1), arcresume(1), arcrm(1), arcstat(1), arcsub(1), arcsync(1)